Bug 264694 - GNOME panel have different colors
Summary: GNOME panel have different colors
Status: CLOSED FIXED
Alias: None
Product: Oxygen
Classification: Plasma
Component: gtk2-engine (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-29 00:00 UTC by nucleo
Modified: 2011-07-29 23:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nucleo 2011-01-29 00:00:43 UTC
Version:           unspecified
OS:                Linux

Different colors used on GNOME panel if oxygen-gtk used as default  GNOME theme:

http://img593.imageshack.us/img593/8547/gnome2.png

Reproducible: Always



Expected Results:  
One color should be used on panel.
Comment 1 Hugo Pereira Da Costa 2011-01-29 22:12:58 UTC
Git commit e3ed8fb3f006ad943ba863b68c9cb417a2a989be by Hugo Pereira Da Costa.
Pushed by hpereiradacosta into branch '1.0'.

(re)-Fixed panel applet background rendering

- renamed gtk_widget_is_panel_applet into gtk_widget_is_applet.
- simplified method to check both widget and parent at once
- moved (broken) call from Oxygen::Style::renderWindowBackground to Oxygen::StyleWrapper, where needed.

CCBUG: 264694

M  +12   -2    src/oxygengtkutils.cpp     
M  +1    -1    src/oxygengtkutils.h     
M  +0    -13   src/oxygenstyle.cpp     
M  +14   -10   src/oxygenstylewrapper.cpp     

http://commits.kde.org/d1a86b4e/e3ed8fb3f006ad943ba863b68c9cb417a2a989be
Comment 2 Hugo Pereira Da Costa 2011-01-29 22:14:29 UTC
Can someone double-check that it actually fixes it ? 
It does fix it for me, with the applets I have. 
Might not fix them all, though.

And close the bug if things are fine.

Hugo
Comment 3 nucleo 2011-01-29 22:48:20 UTC
(In reply to comment #2)
> Can someone double-check that it actually fixes it ? 
> It does fix it for me, with the applets I have. 
> Might not fix them all, though.
> 
> And close the bug if things are fine.
> 
> Hugo

Fixed for me too. Colors fine both on top and bottom GNOME panels.
http://img526.imageshack.us/img526/7633/gnome3f.png
Comment 4 nucleo 2011-01-31 01:32:30 UTC
GNOME panels looks good but some problems with separators and applets colors on XFCE4 panel
http://img404.imageshack.us/img404/7492/xfce.png

And there are also used icons for some applets the same as in clearlooks
http://img684.imageshack.us/img684/7492/xfce.png
Comment 5 nucleo 2011-01-31 15:58:42 UTC
Another  screenshot where different colors used on XFCE panel.
http://img692.imageshack.us/img692/7492/xfce.png
Comment 6 Hugo Pereira Da Costa 2011-01-31 16:04:43 UTC
@Nucleo
This is a different bug.
Probably has to be handled differently.
This is Xfce panel, and not gnome (as the title mention).
Please open a new one.
This one  (gnoe) _is_ fixed.
Comment 7 Hugo Pereira Da Costa 2011-01-31 16:06:16 UTC
... and maybe it is not fixed, (meaning that some gnome applets are not handled right) but then only should this bug be reoppened.
Hijacking existing bugs is bad practive (especially when already fixed).